import request from '@/utils/request'

// 查询比例调整申请记录分页
export function getPage(query) {
  return request({
    url: '/nenu/gf-ratio-application-record/page',
    method: 'get',
    params: query
  })
}

// 查询比例调整申请记录详情
export function getDetail(id) {
  return request({
    url: `/nenu/gf-ratio-application-record/${id}`,
    method: 'get'
  })
}

// 创建比例调整申请
export function add(gfRatioApplicationRecordDto) {
  return request({
    url: '/nenu/gf-ratio-application-record',
    method: 'post',
    data: gfRatioApplicationRecordDto
  })
}

// 取消比例调整申请
export function cancel(id) {
  return request({
    url: `/nenu/gf-ratio-application-record/${id}`,
    method: 'delete'
  })
}

// 处理比例调整申请
export function process(gfRatioApplicationProcessDto) {
  return request({
    url: '/nenu/gf-ratio-application-record',
    method: 'put',
    data: gfRatioApplicationProcessDto
  })
}

// 查询申请项目选择弹窗分页
export function getDefinitionSelectPage(query) {
  return request({
    url: '/nenu/gf-ratio-application-record/definition-select-page',
    method: 'get',
    params: query
  })
}

// 查询申请单打印列表
export function getPrintList(ids) {
  return request({
    url: '/nenu/gf-ratio-application-record/print-list?ids='+ids,
    method: 'get'
  })
}